package br.com.evologica.mvp.ui.login;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

import br.com.evologica.mvp.MvpApp;
import br.com.evologica.mvp.R;
import br.com.evologica.mvp.ui.main.MainActivity;

/**
 * Created by marcussales on 01/03/2017.
 */

public class LoginActivity extends AppCompatActivity implements LoginMvpView {

    private static final String TAG = "LoginActivity";

    LoginMvpPresenter<LoginMvpView> mPresenter;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);

        mPresenter = new LoginPresenter<>(((MvpApp)getApplicationContext()).getDataManager());
        mPresenter.onAttach(LoginActivity.this);
    }

    @Override
    public void openMainActivity() {
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
        finish();
    }

    @Override
    protected void onDestroy() {
        mPresenter.onDetach();
        super.onDestroy();
    }

}
