package br.com.evologica.mvp.ui.splash;

import br.com.evologica.mvp.data.DataManager;
import br.com.evologica.mvp.ui.base.BasePresenter;

public class SplashPresenter<V extends SplashMvpView> extends BasePresenter<V> implements SplashMvpPresenter<V> {

    public SplashPresenter(DataManager mDataManager) {
        super(mDataManager);
    }

    @Override
    public void onAttach(V mvpView) {
        super.onAttach(mvpView);

        if (!getDataManager().isLogged()){
            getMvpView().openLoginActivity();
        }else{
            getMvpView().openMainActivity();
        }
    }
}
